#define MIK32V2                     // макрос микроконтроллера
#include "mik32_blink.h"            // подключаемый файл, сгенерированный из модели Engee

const uint32_t tickInMs = 3200;     // константа числа тактов в милисекунде

void delay(uint16_t ms);            // прототип функции задержки

int main()                          // основная программа
{
   mik32_blink_init();              // функция инициализация модели Engee
    while (1)                       // бесконечный цикл
    {   
        mik32_blink_step();         // функция шага расчёта модели Engee
        delay(100);                 // задержка 100 мс (длительность точки)
    }
}

void delay(uint16_t ms) {           // функция задержки в милисекундах
	for (volatile uint32_t i = 0; i < (tickInMs * ms); i++);
}